Skip to main content
PUT
Update Application Workflow Data

Authorizations

Authorization
string
header
required


You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:

Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.

Path Parameters

application_id
string
required

The ID of the application.

Body

multipart/form-data
client_tracking_token
string

Client tracking token for the application. Must not be greater than 50 characters.

Example:

"lead-12345"

tracking_tokens
string[]

One additional tracking token. Must not be greater than 255 characters.

Example:
utm_parameters
object[]

UTM parameters to associate with the application.

Example:
move_to_next_stage
boolean

Whether to move the application to its next workflow stage.

Example:

true

with_validation
boolean

Whether to validate required workflow fields before moving to the next stage.

Example:

true

data_orchestration_template_id
string

Data orchestration template ID to run for the application. Must match an existing stored value.

Example:

"1ccdd4c1-52a9-4249-8d9a-e7ab500a2c1d"

bank_statements
object[]

Must not have more than 10 items.

Example:

null

with_underwriting
string
Example:

null

external_service_logs
string
Example:

null

note
object | null

Application note to create.

Example:
lenient_fields
(enum<string> | null)[]

One workflow field identifier to validate leniently. Valid values: accounts_payable_phone_number, affiliated_businesses_phone_numbers, affiliated_individuals_telephone, bonding_agent_telephone, business_phone_numbers, company_officers_phone_number, guarantor_telephone, insurance_telephone, personal_phone_numbers, personal_telephone, trade_references_business_telephone.

Available options:
accounts_payable_phone_number,
affiliated_businesses_phone_numbers,
affiliated_individuals_telephone,
bonding_agent_telephone,
business_phone_numbers,
company_officers_phone_number,
guarantor_telephone,
insurance_telephone,
personal_phone_numbers,
personal_telephone,
trade_references_business_telephone
Example:
brand_name_id
string | null

Client brand name ID to associate with the application. It must belong to the application client.

Example:

"1ccdd4c1-52a9-4249-8d9a-e7ab500a2c1d"

plaid_data
object
Example:

null

plaid
object
Example:
rollback
boolean

Whether to move the application to its previous workflow stage.

Example:

true

move_to_stage_id
string | null

Workflow stage ID to move to without validating intermediate stages. Must be a valid UUID.

Example:

"3b7d4cb8-84e5-4da4-98a8-d31e01e58a60"

Response

200 - application/json
data
object